Home

# Class goog.string.html.HtmlParser

An Html parser: {@code parse} takes a string and calls methods on {@code goog.string.html.HtmlSaxHandler} while it is visiting it.

Instance Method Summary
| `lookupEntity_(string name) ⇒ string` Decodes an HTML entity.
| `normalizeRCData_(string rcdata) ⇒ string` Escape entities in RCDATA that can be escaped without changing the meaning.
| `parse(?goog.string.html.HtmlSaxHandler handler, string htmlText)` Given a SAX-like {@code goog.string.html.HtmlSaxHandler} parses a {@code htmlText} and lets the {@code handler} know the structure while visiting the nodes.
| `stripNULs_(string s) ⇒ string` Removes null characters on the string.
| `unescapeEntities_(string s) ⇒ string` The plain text of a chunk of HTML CDATA which possibly containing. TODO(goto): use {@code goog.string.unescapeEntities} instead ?